/**
 * Some simple exception throwing mechanics
 * 
 * @author Uno Holmer 
 * @version 2011-09-23
 */
public class TestException {
	public int f(int x)	{
	    if ( x >= 0 )
	        return 2*x;
	    else
    		throw new IllegalArgumentException(Integer.toString(x));
	}
	
	public int g() {
	     try {
	         return 3*f(-23);
	     }
	     catch ( Exception e ) {
	         System.out.println(e);
	         return 0;
	     }
    }  
    
    public static void main(String[] arg) {
        TestException test = new TestException();
        System.out.println("g returned: " + test.g());
    }
}
