/**
 * A server without exception throwing but using assertions
 * 
 * @author Uno Holmer 
 * @version 2008-01-28
 */
public class Server {
    // Compute n! = 1*2*3*...*n   (n >=0)
    public long compute(int n) {
        assert n >= 0 : "Server.compute called with negative argument: " + n;
       
        long f = 1;
        for ( int i = 1; i<=n; i++ )
             f *= i;
             
        return f;
    }
    
    public boolean isValidArgument(int x) {
        return x >= 0;
    }
}
