/**
 *  A suspicious server assumes clients are unreliable and throws a checked exception.
 *  When using a checked exception, the compiler forces the client to handle it.
 * 
 * @author Uno Holmer 
 * @version 2008-01-28
 */
public class Server {
	// Compute n! = 1*2*3*...*n   (n >=0)
    public long compute(int n) throws ServerException {
	    if ( n < 0 )
    		throw new ServerException("Server.compute called with negative argument: " + n);
        else {
    	    long f = 1;
            for ( int i = 1; i<=n; i++ )
                 f *= i;
            return f;
        }
	}
}
